function love.load()
    tex = love.graphics.newImage('tex.png')
    love.graphics.setBackgroundColor(255,255,255)
    time = 0
    sep = 0
    bend = 0
end
function love.update(dt)
    if love.keyboard.isDown('escape') then love.event.quit() end
    time = time - dt * (256-love.mouse.getX()) * 8
    if time<-512 then time = 0 end
    if time>0 then time = -512 end
    if love.keyboard.isDown('left') then sep = sep - dt * 8 end
    if love.keyboard.isDown('right') then sep = sep + dt * 8 end
    if love.keyboard.isDown('up') then bend = bend - dt * 64 end
    if love.keyboard.isDown('down') then bend = bend + dt * 64 end
end
function love.draw()
    for i = 1,512 do
        x = i/512
        love.graphics.setScissor(0, i, 512, 1)
        for j = -1,6 do
            love.graphics.draw(tex, 256+math.mod(i, 2)*sep + (bend*4)*x^2 - bend/4, 256, 0, x, x, 256, time + j*256)
        end
        love.graphics.setColor(0,0,0,256-i/4)
        love.graphics.rectangle('fill', 0, i, 512, 1)
        love.graphics.setColor(255,255,255,255)
    end
    love.graphics.setScissor()
    love.graphics.print('FPS            - ' .. love.timer.getFPS() .. '\nSeperation - ' .. sep .. '\nBend          - ' .. bend, 0, 0)
end
